#
# spec file for package python-cwcwidth
#
# Copyright (c) 2025 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%{?sle15_python_module_pythons}
Name:           python-cwcwidth
Version:        0.1.10
Release:        1.1
Summary:        Python bindings for wc(s)width
License:        MIT
URL:            https://github.com/sebastinas/cwcwidth
Source:         https://files.pythonhosted.org/packages/source/c/cwcwidth/cwcwidth-%{version}.tar.gz
BuildRequires:  %{python_module Cython}
BuildRequires:  %{python_module pip}
BuildRequires:  %{python_module setuptools}
BuildRequires:  %{python_module wheel}
BuildRequires:  fdupes
BuildRequires:  python-rpm-macros
%python_subpackages

%description
Python bindings for wc(s)width

%prep
%setup -q -n cwcwidth-%{version}

%build
export CFLAGS="%{optflags}"
%pyproject_wheel

%install
%pyproject_install
%python_expand %fdupes %{buildroot}%{$python_sitearch}

%files %{python_files}
%doc CHANGELOG.md README.md
%license LICENSE
%{python_sitearch}/cwcwidth
%{python_sitearch}/cwcwidth-%{version}.dist-info

%changelog
* Wed Mar 19 2025 John Paul Adrian Glaubitz <adrian.glaubitz@suse.com>
- Update to 0.1.10
  * Drop support for Python 3.8.
  * Add support for Python 3.13.
  * Update Unicode definition to 15.1.
- Limit Python files matched in %%files section
- Switch package to modern Python Stack on SLE-15
  * Use Python 3.11 on SLE-15 by default
  * Drop support for older Python versions
- Switch build system from setuptools to pyproject.toml
  * Add python-pip and python-wheel to BuildRequires
  * Replace %%python_build with %%pyproject_wheel
  * Replace %%python_install with %%pyproject_install
* Fri Nov 10 2023 Dirk Müller <dmueller@suse.com>
- update to 0.1.9:
  * Drop support for Python 3.7.
  * Add support for Python 3.12.
  * Avoid redefinition of `_XOPEN_SOURCE`.
* Mon Nov  7 2022 Yogalakshmi Arunachalam <yarunachalam@suse.com>
- Update to version 0.1.8
  Set build-backend in pyproject.toml.
* Tue Sep 27 2022 Yogalakshmi Arunachalam <yarunachalam@suse.com>
- Update to version 0.1.7
  * Ensure that cython generated C source file is always included in sdist.
- Update to version 0.1.6
  * Add support for Python 3.10
  * Drop support for Python 3.6
- Update to version 0.1.5
  * Fix type annotations
- Update to version 0.1.4
  * Include tests again.
  * Include C file again.
- Update to version 0.1.3
  * Fix memory leaks in certain error cases.
  * Modernize build system and rely on setuptool's Cython support.
  * Add more tests.
  * Skip some tests if not run in a UTF-8 locale.
  * Use libc's implementation on Mac OS.
- Update to version 0.1.2
  * Also build wheels with cibuildwheel.
  * Provide type information for mypy.
* Tue Apr  6 2021 Arun Persaud <arun@gmx.de>
- added missing cython requirement
* Mon Apr  5 2021 Arun Persaud <arun@gmx.de>
- initial version (used in bpython and curtsies)
